CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

狗腿长度属性 (ActiveX)

2023-1-3 18:00| 发布者: admin| 查看: 250| 评论: 0|来自: AutoCAD

摘要: 狗腿的长度。

狗腿的长度。

支持的平台:仅窗口

签名

工 务 局:

object.DoglegLength
对象

类型:MLeader,MLeaderStyle

此属性适用的对象。

属性值

只读:

类型:

指定着陆距离。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_DogLeg()
    Dim oML As AcadMLeader
    Dim points(0 To 14) As Double
    
    ' Define the leader points
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
    Dim i As Long
    Set oML = ThisDrawing.ModelSpace.AddMLeader(points, i)
    
    oML.DogLegged = True
    oML.DoglegLength = 1.3

    MsgBox "The dog-leg length is  " & oML.DoglegLength

    ZoomAll

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DogLeg()
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Define the leader points
    (setq points (vlax-make-safearray vlax-vbDouble '(0 . 14)))
    (vlax-safearray-fill points '(1 1 0
				                              1 2 0
				                              2 2 0
				                              3 2 0
				                              4 4 0
				                             )
    )
    (setq i 0)
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq oML (vla-AddMLeader modelSpace points i))
    
    (vla-put-DogLegged oML :vlax-true)
    (vla-put-DoglegLength oML 1.3)

    (alert (strcat "The dog-leg length is " (rtos (vla-get-DoglegLength oML) 2)))

    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 01:26

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部